<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\HomepageController;
use App\Http\Controllers\Api\PromotionController;
use App\Http\Controllers\Api\NavigationController;
use App\Http\Controllers\Api\PhotoController;
use App\Http\Controllers\Api\LinkController;
use App\Http\Controllers\Api\FooterController;
use App\Http\Controllers\Api\ProductController;
use App\Http\Controllers\Api\SizeController;

Route::get('homepage', [HomepageController::class, 'index']);
Route::get('promotions', [PromotionController::class, 'index']);
Route::get('navigation', [NavigationController::class, 'index']);
Route::get('photos', [PhotoController::class, 'index']);
Route::get('buttons', [LinkController::class, 'index']);
Route::get('footer', [FooterController::class, 'index']);
Route::get('products', [ProductController::class, 'index']);
Route::get('sizes', [SizeController::class, 'index']);